package com.ym.game.contract

import com.ym.library.module.SinginEntity
import com.ym.library.module.TaskListEntity
import com.ym.library.module.WateringTaskEntity


/**
 *Craeted by ${junqi.li}
 *Craeted by 2020/9/12
 */
class WateringRewardContract {

    interface View {
       fun rchardDailyTaskResult(datas: List<WateringTaskEntity>)
       fun rchardSignTaskResult(datas: SinginEntity)
        fun taskListResult(result: TaskListEntity?)
    }

    interface Presenter {
       fun getRrchardDailyTask()
       fun getOrchardSignTask()
        fun getTaskComplete(sid: Int)
    }
}